[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Problem with plague-client



Hello.

I am Jasper Hartline (autopsy) and am currently in cvsdevel and cvextras groups
with the FAS (Fedora Accounting System).

When I follow the instructions here: http://fedoraproject.org/wiki/PackageMaintainers/BuildSystemClientSetup
I get this error when running plague-client list:

[autopsy localhost ~]$ plague-client list
Traceback (most recent call last):
 File "/usr/bin/plague-client", line 420, in ?
   cli = PlagueClient(os.path.expanduser(cfg_file))
 File "/usr/bin/plague-client", line 85, in __init__
   self._check_api_version(self._server)
 File "/usr/bin/plague-client", line 90, in _check_api_version
   server_ver = server.api_version()
 File "/usr/lib/python2.4/xmlrpclib.py", line 1096, in __call__
   return self.__send(self.__name, args)
 File "/usr/lib/python2.4/xmlrpclib.py", line 1383, in __request
   verbose=self.__verbose
 File "/usr/lib/python2.4/xmlrpclib.py", line 1129, in request
   self.send_content(h, request_body)
 File "/usr/lib/python2.4/xmlrpclib.py", line 1243, in send_content
   connection.endheaders()
 File "/usr/lib/python2.4/httplib.py", line 798, in endheaders
   self._send_output()
 File "/usr/lib/python2.4/httplib.py", line 679, in _send_output
   self.send(msg)
 File "/usr/lib/python2.4/httplib.py", line 658, in send
   self.sock.sendall(str)
File "/usr/lib/python2.4/site-packages/plague/SSLConnection.py", line 110, in sendall
   sent = con.send(data, flags)
OpenSSL.SSL.Error: [('SSL routines', 'SSL3_READ_BYTES', 'sslv3 alert certificate expired'), ('SSL routines', 'SSL3_WRITE_BYTES', 'ssl handshake failure')]
[autopsy localhost ~]$ vi ~/.plague-client.cfg
[autopsy localhost ~]$ plague-client list_builders
Traceback (most recent call last):
 File "/usr/bin/plague-client", line 420, in ?
   cli = PlagueClient(os.path.expanduser(cfg_file))
 File "/usr/bin/plague-client", line 85, in __init__
   self._check_api_version(self._server)
 File "/usr/bin/plague-client", line 90, in _check_api_version
   server_ver = server.api_version()
 File "/usr/lib/python2.4/xmlrpclib.py", line 1096, in __call__
   return self.__send(self.__name, args)
 File "/usr/lib/python2.4/xmlrpclib.py", line 1383, in __request
   verbose=self.__verbose
 File "/usr/lib/python2.4/xmlrpclib.py", line 1129, in request
   self.send_content(h, request_body)
 File "/usr/lib/python2.4/xmlrpclib.py", line 1243, in send_content
   connection.endheaders()
 File "/usr/lib/python2.4/httplib.py", line 798, in endheaders
   self._send_output()
 File "/usr/lib/python2.4/httplib.py", line 679, in _send_output
   self.send(msg)
 File "/usr/lib/python2.4/httplib.py", line 658, in send
   self.sock.sendall(str)
File "/usr/lib/python2.4/site-packages/plague/SSLConnection.py", line 110, in sendall
   sent = con.send(data, flags)
OpenSSL.SSL.Error: [('SSL routines', 'SSL3_READ_BYTES', 'sslv3 alert certificate expired'), ('SSL routines', 'SSL3_WRITE_BYTES', 'ssl handshake failure')]
[autopsy localhost ~]$

Is there anyone who can verify that I am doing something wrong, or spot a problem with the instructions and
let me know what to do?

Thanks.
J. Hartline (autopsy)


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]